Page MenuHomePhabricator

Convert GWToolset to use extension registration
Closed, ResolvedPublic

Description

The GWToolset extension needs to be converted to use the new extension registration system. More details are available on T87875.

Details

Related Gerrit Patches:
operations/mediawiki-config : masterConvert GWToolset to extension.json etc
mediawiki/extensions/GWToolset : masterRe-instate "Convert GWToolset to extension registration"
operations/mediawiki-config : masterGWToolset migratory config
mediawiki/extensions/GWToolset : masterAdd extension.json
mediawiki/extensions/GWToolset : masterRevert "Convert GWToolset to extension registration"
mediawiki/extensions/GWToolset : masterConvert GWToolset to extension registration

Event Timeline

Restricted Application added a project: Multimedia. · View Herald TranscriptJan 29 2015, 7:32 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Jdforrester-WMF triaged this task as Low priority.Sep 4 2015, 6:56 PM
Restricted Application added subscribers: Steinsplitter, Matanya. · View Herald TranscriptSep 4 2015, 6:56 PM
Jdforrester-WMF moved this task from Untriaged to Backlog on the Multimedia board.Sep 4 2015, 7:03 PM
Liuxinyu970226 set Security to None.
Restricted Application added a project: Commons. · View Herald TranscriptFeb 2 2016, 6:39 PM

(Disclaimer: I have close to no clue to what I’m doing here :-D)

I submitted a patch at https://gerrit.wikimedia.org/r/#/c/268897 (not sure why GerritBot did not pick it up), based on the conversion script and looking up other converted extensions (mainly Gadgets).

@Legoktm, does the patch make sense?

Change 268897 had a related patch set uploaded (by Jean-Frédéric):
Convert GWToolset to extension registration

https://gerrit.wikimedia.org/r/268897

Change 268897 merged by jenkins-bot:
Convert GWToolset to extension registration

https://gerrit.wikimedia.org/r/268897

JeanFred closed this task as Resolved.Feb 12 2016, 8:34 PM

Done :)

This should have been reverted due to the beta cluster breakage.

Change 270468 had a related patch set uploaded (by BryanDavis):
Revert "Convert GWToolset to extension registration"

https://gerrit.wikimedia.org/r/270468

Change 270468 merged by jenkins-bot:
Revert "Convert GWToolset to extension registration"

https://gerrit.wikimedia.org/r/270468

bd808 reopened this task as Open.Feb 13 2016, 6:28 AM

Changes have been temporarily reverted to fix T126830: GWToolset causes fatal error on beta cluster

Mentioned in SAL [2016-02-13T06:32:22Z] <bd808> jobrunner on deployment-jobrunner01 enabled after reverting changes from T87928 that caused T126830

Sorry, I should have been more suspicious about no config options in extension.json :/

We'll need some kind of back compat wrapper for that Config class in the PHP shim, and transition it over to a global variable, kind of like what MaxSem did.

Steinsplitter moved this task from Incoming to Backlog on the Commons board.Feb 13 2016, 5:35 PM

Arf, sorry this caused a mess :-/

Arf, sorry this caused a mess :-/

One can't bake an omelette without breaking eggs -:D No worries.

Now I am wondering how coupled the change will be with operations/mediawiki-config.git.

Restricted Application added a subscriber: Poyekhali. · View Herald TranscriptJul 11 2016, 8:18 PM
Reedy added a subscriber: Reedy.Nov 18 2017, 6:28 PM

Sorry, I should have been more suspicious about no config options in extension.json :/
We'll need some kind of back compat wrapper for that Config class in the PHP shim, and transition it over to a global variable, kind of like what MaxSem did.

Do we remember what MaxSem did where?

Change 392216 had a related patch set uploaded (by MarcoAurelio; owner: MarcoAurelio):
[mediawiki/extensions/GWToolset@master] Add extension.json

https://gerrit.wikimedia.org/r/392216

What a mess. 74 errors in jenkins with only extension.json added :-/

Change 392217 had a related patch set uploaded (by Reedy; owner: Reedy):
[mediawiki/extensions/GWToolset@master] Re-instate "Convert GWToolset to extension registration"

https://gerrit.wikimedia.org/r/392217

Change 392216 abandoned by MarcoAurelio:
Add extension.json

Reason:
Per https://gerrit.wikimedia.org/r/#/c/392217/

https://gerrit.wikimedia.org/r/392216

Change 392218 had a related patch set uploaded (by Reedy; owner: Reedy):
[operations/mediawiki-config@master] GWToolset migratory config

https://gerrit.wikimedia.org/r/392218

Change 392219 had a related patch set uploaded (by Reedy; owner: Reedy):
[operations/mediawiki-config@master] Convert GWToolset to extension.json etc

https://gerrit.wikimedia.org/r/392219

Change 392218 merged by jenkins-bot:
[operations/mediawiki-config@master] GWToolset migratory config

https://gerrit.wikimedia.org/r/392218

If I get the extension patch merged... Is there anyone that knows how to test it on beta?

Mentioned in SAL (#wikimedia-operations) [2017-11-23T12:47:31Z] <reedy@tin> Synchronized wmf-config/CommonSettings.php: GWToolset migratory config T87928 (duration: 00m 46s)

Change 392217 merged by jenkins-bot:
[mediawiki/extensions/GWToolset@master] Re-instate "Convert GWToolset to extension registration"

https://gerrit.wikimedia.org/r/392217

hashar closed this task as Resolved.Jul 27 2018, 8:05 AM

Change 392219 merged by jenkins-bot:
[operations/mediawiki-config@master] Convert GWToolset to extension.json etc

https://gerrit.wikimedia.org/r/392219